% mmtrans.mm -- Malayalam-\TeX\ transcription table
% (c) Jeroen Hellingman 1992
% Last edit: 25-DEC-1992

\bgroup
\def\malstrut{\vtop to4pt{}\vbox to10pt{}}
\def\q{\quad\hfill}
\def\x{\vrule\ }
\def\xx{\vrule width.8pt}
\offinterlineskip
\halign{\malstrut\xx\ \tt#\q&\x#\q&\x#\q\xx\ &\tt#\q&\x#\q&\x#\q\xx\ &\tt#\q&\x#\q&\x#\q\xx\cr
\noalign{\hrule height.8pt}
a       & $a$ or implicit       & $$a$$         &
ka      & $ka$                  & $$ka$$        &
pa      & $pa$                  & $$pa$$        \cr
aa      & $aa$ or $[]<<aa$      & $$aa$$        &
kha     & $kha$                 & $$kha$$       &
pha, fa & $pha$                 & $$pha, fa$$   \cr
i       & $i$ or $[]<<i$        & $$i$$         &
ga      & $ga$                  & $$ga$$        &
ba      & $ba$                  & $$ba$$        \cr
ii      & $ii$ or $[]<<ii$      & $$ii$$        &
gha     & $gha$                 & $$gha$$       &
bha     & $bha$                 & $$bha$$       \cr
u       & $u$ or $[]<<u$        & $$u$$         &
n"a     & $n"a$                 & $$n"a$$       &
ma      & $ma$                  & $$ma$$        \cr
uu      & $uu$ or $[]<<uu$      & $$uu$$        &
ca      & $ca$                  & $$ca$$        &
ya      & $ya$                  & $$ya$$        \cr
.r      & $.r$ or $[]<<.r$      & $$.r$$        &
cha     & $cha$                 & $$cha$$       &
ra      & $ra$                  & $$ra$$        \cr
.r.r    & $.r.r$ or $[]<<.r.r$  & $$.r.r$$      &
ja      & $ja$                  & $$ja$$        &
Ra, t\_a& $Ra$                  & $$Ra, t_a$$   \cr
.l      & $.l$                  & $$.l$$        &
jha     & $jha$                 & $$jha$$       &
RRa, t\_t\_a & $RRa$            & $$RRa$$       \cr
.l.l, .L& $.l.l$                & $$.l.l$$      &
n\~{}a  & $n~a$                 & $$n~a$$       &
la      & $la$                  & $$la$$        \cr
e       & $e$ or $[]<<e$        & $$e$$         &
Ta      & $Ta$                  & $$Ta$$        &
va      & $va$                  & $$va$$        \cr
ee      & $ee$ or $[]<<ee$      & $$ee$$        &
Tha     & $Tha$                 & $$Tha$$       &
sha     & $sha$                 & $$sha$$       \cr
ai      & $ai$ or $[]<<ai$      & $$ai$$        &
Da      & $Da$                  & $$Da$$        &
Sa      & $Sa$                  & $$Sa$$        \cr
o       & $o$ or $[]<<o$        & $$o$$         &
Dha     & $Dha$                 & $$Dha$$       &
sa      & $sa$                  & $$sa$$        \cr
oo      & $oo$ or $[]<<oo$      & $$oo$$        &
Na      & $Na$                  & $$Na$$        &
ha      & $ha$                  & $$ha$$        \cr
au      & $au$ or $[]<<au$      & $$au$$        &
ta		& $ta$                  & $$ta$$   		&
La      & $La$                  & $$La$$        \cr
au"     & $au"$ or $[]<<au"$    & $$au"$$       &
tha     & $tha$                 & $$tha$$       &
zha     & $zha$                 & $$zha$$       \cr
M       & $M$                   & $$M$$         &
da      & $da$                  & $$da$$        &
+       & $[]<<+$               &               \cr
H       & $H$                   & $$H$$         &
dha     & $dha$                 & $$dha$$       &
u+      & $[]<<u+$              & $$u+$$        \cr
        &                       &               &
na, n\_a& $na$                  & $$na, n_a$$   &
        &                       &               \cr
\noalign{\hrule height.8pt}
}\egroup


\endinput
